package com.hfkj.service.spread;

import com.hfkj.entity.BsUserSpreadAccountTransfer;

/**
 * @className: BsUserSpreadAccountTransferService
 * @author: HuRui
 * @date: 2025/4/10
 **/
public interface BsUserSpreadAccountTransferService {

    /**
     * 编辑数据
     * @param data
     */
    void editData(BsUserSpreadAccountTransfer data);

    /**
     * 根据提现单号查询详情
     * @param outBillNo
     * @return
     */
    BsUserSpreadAccountTransfer getDetailByOutBillNo(String outBillNo);

    /**
     * 每日可提现次数
     * @param userId
     * @return
     */
    int withdrawChance(Long userId);
}
